🢀︎ archlinux :: af0622d


commit af0622dd0e8f2fff3f5b748e5b0192debc186983
Author: acidvegas <acid.vegas@acid.vegas>
Date:   Tue Jul 16 16:59:53 2019 -0400

    updated

diff --git a/home/acidvegas/.scripts/gitremote b/home/acidvegas/.scripts/gitremote
new file mode 100755
index 0000000..f763ca3
--- /dev/null
+++ b/home/acidvegas/.scripts/gitremote
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+for u in $HOME/dev/git/*/; do
+	for d in $(find $u -name .git -type d -prune | sort); do
+		u=$(basename $u)
+		r=$(basename -s .git `git --git-dir $d config --get remote.origin.url`)
+		echo "updating $u/$r..."
+		git -C $d remote remove origin
+		git -C $d remote add origin git@github.com:$u/$r.git
+		git -C $d remote set-url --add --push origin git@github.com:$u/$r.git
+		git -C $d remote set-url --add --push origin git@gitlab.com:$u/$r.git
+		git -C $d remote set-url --add --push origin git@contra:$r.git
+	done
+done
+git -C $HOME/dev/git/acidvegas/acidvegas.github.io remote remove origin
+git -C $HOME/dev/git/acidvegas/acidvegas.github.io remote add origin git@github.com:acidvegas/acidvegas.github.io.git
+git -C $HOME/dev/git/acidvegas/acidvegas.github.io remote set-url --add --push origin git@github.com:acidvegas/acidvegas.github.io.git
+git -C $HOME/dev/git/acidvegas/acidvegas.github.io remote set-url --add --push origin git@gitlab.com:acidvegas/acidvegas.gitlab.io.git
+git -C $HOME/dev/git/acidvegas/acidvegas.github.io remote set-url --add --push origin git@contra:acid.vegas.git
+git -C $HOME/dev/git/supernets/supernets.github.io remote remove origin
+git -C $HOME/dev/git/supernets/supernets.github.io remote add origin git@github.com:supernets/supernets.github.io.git
+git -C $HOME/dev/git/supernets/supernets.github.io remote set-url --add --push origin git@github.com:supernets/supernets.github.io.git
+git -C $HOME/dev/git/supernets/supernets.github.io remote set-url --add --push origin git@gitlab.com:supernets/supernets.gitlab.io.git
+git -C $HOME/dev/git/supernets/supernets.github.io remote set-url --add --push origin git@contra:supernets.org.git
diff --git a/home/acidvegas/.scripts/mutag b/home/acidvegas/.scripts/mutag
index 9ffbc8c..bf6d29b 100755
--- a/home/acidvegas/.scripts/mutag
+++ b/home/acidvegas/.scripts/mutag
@@ -1,4 +1,5 @@
 #!/bin/sh
+# requires: id3v2, python-eyed3
 find $HOME/music -type f | while read SONG; do
 	DIR=$(dirname "$SONG")
 	ARTIST=$(basename "$DIR")